aboutsummaryrefslogblamecommitdiffstatshomepage
path: root/build.gradle
blob: a66fe6ef0644852d17a14173997f1956aa3e12a3 (plain) (tree)
1
2
3
4
5
6
7
8

                  
                




                 




















                                                                                            

                                      
     
                  

                                                                            

                                                                                        

                  
                






                               


             
                               


                                                       
 
                            
allprojects {
    repositories {
        google()
        jcenter()
    }
}

buildscript {
    ext {
        annotationsVersion = '1.1.0'
        appcompatVersion = '1.1.0'
        cardviewVersion = '1.0.0'
        collectionVersion = '1.1.0'
        coreKtxVersion = '1.2.0'
        constraintLayoutVersion = '1.1.3'
        coordinatorLayoutVersion = '1.1.0'
        agpVersion = '3.6.1'
        fragmentVersion = '1.2.2'
        materialComponentsVersion = '1.1.0'
        jsr305Version = '3.0.2'
        kotlinVersion = '1.3.70'
        preferenceVersion = '1.1.0'
        streamsupportVersion = '1.7.1'
        threetenabpVersion = '1.2.2'
        // ZXING switched minSdk to 24 so we cannot upgrade to 4.0.2 without following suit.
        // If you choose to upgrade to minSDK 24 then you should also disable Jetifier from
        // gradle.properties.
        zxingEmbeddedVersion = '3.6.0'
        eddsaVersion = '0.3.0'
        bintrayPluginVersion = '1.8.4'
        mavenPluginVersion = '2.1'
    }
    dependencies {
        classpath "com.android.tools.build:gradle:$agpVersion"
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlinVersion"
        classpath "com.github.dcendents:android-maven-gradle-plugin:$mavenPluginVersion"
        classpath "com.jfrog.bintray.gradle:gradle-bintray-plugin:$bintrayPluginVersion"
    }
    repositories {
        google()
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

tasks {
    wrapper {
        gradleVersion = "6.2.2"
        distributionType = Wrapper.DistributionType.ALL
    }
}

apply from: "version.gradle"